
textures/mc-util/skyblack
{
	qer_editorimage textures/mc-util/skyblack.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm noimpact
	{
		map $whiteimage
		rgbgen const ( 0.0 0.0 0.0 )
	}
}

textures/mc-util/mcdockswater_new
{
	qer_editorimage textures/mc-util/mcdockswater.tga
	qer_trans 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_noFog
	q3map_cloneshader textures/mc-util/mcdockswater_new2
	{
		map textures/mc-util/mcdockswater.tga
		blendfunc blend
		tcMod turb 0.2 0.2 0.2 .2 
	}
	{
		map textures/mc-util/mcdockswater.tga
		alphagen vertex
		blendfunc blend
		tcMod turb 0 0.2 2 .2
	}
	{
		map $whiteimage
		rgbgen const ( 0.0 0.0 0.0 )
		alphagen oneminusvertex
		blendfunc blend
	}
}

textures/mc-util/mcdockswater_new2
{
	qer_editorimage textures/mc-util/mcdockswater.tga
	qer_trans 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
//	q3map_noFog
	q3map_invert
	sort 13
	{
		map textures/mc-util/mcdockswater.tga
		alphagen vertex
		blendfunc blend
		tcMod turb 0.2 0.2 0.2 .2 
	}
}

textures/mc-util/water_ripple
{
	qer_editorimage textures/mc-util/water_pool2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	tessSize 8
	deformVertexes wave 64 sin 0 .25 0 .5
	{ 
		map textures/mc-util/water_pool3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll .05 .001
	}
	{ 
		map textures/mc-util/water_pool2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map $lightmap
		blendFunc filter //GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/mc-util/docks-watercaulk
{
	qer_editorimage textures/mc-util/docks-watercaulk.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/mc-util/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/mc-util/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/mc-util/docksfog
{
	qer_editorimage textures/mc-util/fog.tga
	surfaceparm trans
	qer_trans 0.7
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0.0 0.0 0.0 ) 128

	q3map_bouncescale 0
}

textures/mc-util/docks-fogcaulk
{
	qer_editorimage textures/mc-util/docks-fogcaulk.tga
	surfaceparm trans
	qer_trans 0.7
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0.0 0.0 0.0 ) 128

	q3map_bouncescale 0
}

textures/mc-util/dockssand
{
	qer_editorimage textures/nsh/sandwet.tga
	{
		map textures/nsh/sandwet.tga
	}
	{
		map $whiteimage
		rgbgen const ( 0.0 0.0 0.0 )
		alphagen oneminusvertex
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/mc-util/grtmtl_offt
{
qer_editorimage textures/evils_textures3/grtmtl_offt.tga
surfaceparm trans
surfaceparm nomarks	
surfaceparm nonsolid
surfaceparm playerclip
surfaceparm noimpact
cull none
nopicmip
qer_trans 	0.5

	{
		map textures/evils_textures3/grtmtl_offt.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/mc-util/docks-glasscaulk
{
	qer_editorimage textures/mc-util/docks-glasscaulk.tga
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm playerclip
	surfaceparm trans
}

// Docks Glass - Many Thanks to RabidCow!

textures/mc-util/rcdocks
{
	qer_editorimage textures/mc-util/rcdocks.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/mc-util/rcdocks.tga
		tcGen environment
		//rgbGen lightingDiffuse
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mc-util/clip_nojump
{
	qer_editorimage textures/mc-util/nojumpclip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}

textures/docks/hanging_fish1
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5
	{
		map textures/docks/hanging_fish1.tga
		tcMod scroll -.1 0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/docks/hanging_fish2
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5
	{
		map textures/docks/hanging_fish2.tga
		tcMod scroll -.25 0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/mc-util/glass_clear
{
	qer_editorimage textures/effects/tinfx3.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx3.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mc-util/light_street
{
	qer_editorimage textures/mc-util/light_street.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mc-util/light_street.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mc-util/light_street_blend.tga
		rgbGen wave sin 0.6 0.1 .1 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/mc-util/runoff
{
	qer_editorimage textures/mc-util/rain2.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .8
	cull none

	{
		map textures/mc-util/rain2.tga
		tcMod Scroll .01 -2.25
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/mc-util/rain.tga
		tcMod Scroll -.01 -2.25
		blendFunc GL_ONE GL_ONE
	}
}
