// Skybox

textures/ut_oilrig/skybox
{
	qer_editorimage textures/ut_oilrig/skybox.tga
	q3map_sun .76 .695 .721 80 180 37
//	q3map_skylight 50 6
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	skyparms textures/ut_oilrig/env/box22/box22 - -
}

textures/ut_oilrig/bomb_mark
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_oilrig/bomb_mark.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_oilrig/frame
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_oilrig/frame.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_oilrig/floor_grate
{
	qer_editorimage textures/base_floor/proto_grate4.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	cull none
        nopicmip

	{
		map textures/base_floor/proto_grate4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_oilrig/oilrig-glass
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut_oilrig/truefence
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_oilrig/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/will/pingpong
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map models/mapobjects/will/pingpong.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_oilrig/rail_support
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5

	{
		map textures/ut_oilrig/rail_support.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_oilrig/chain
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5

	{
		map textures/ut_oilrig/chain.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// BEGIN : Oil Spray Particle Effects

textures/ut_oilrig/oilspray_1
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -34.676659 -22.054066 62.738720 sawtooth 0 1 0.842372 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.842372 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.842372 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.842372 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray_2
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -38.729908 -13.742147 62.738720 sawtooth 0 1 0.622913 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.622913 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.622913 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.622913 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray_3
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -29.001822 -29.116095 62.738720 sawtooth 0 1 0.997345 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.997345 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.997345 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.997345 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray_4
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -30.584034 -27.449398 62.738720 sawtooth 0 1 0.307077 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.307077 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.307077 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.307077 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray_5
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -32.915482 -24.605358 62.738720 sawtooth 0 1 0.820429 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.820429 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.820429 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.820429 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray_6
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -26.636522 -31.294542 62.738720 sawtooth 0 1 0.738731 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.738731 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.738731 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.738731 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray_7
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -38.787106 -13.579882 62.738720 sawtooth 0 1 0.483016 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.483016 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.483016 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.483016 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray_8
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -39.221664 -12.268398 62.738720 sawtooth 0 1 0.629780 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.629780 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.629780 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.629780 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray_9
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -36.815525 -18.261152 62.738720 sawtooth 0 1 0.002258 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.002258 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.002258 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.002258 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray_10
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -39.333302 -11.905625 62.738720 sawtooth 0 1 0.764519 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.764519 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.764519 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.764519 2.000000
blendfunc blend
}
}


textures/ut_oilrig/oilspray2_1
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 26.870806 31.093609 62.738720 sawtooth 0 1 0.806116 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.806116 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.806116 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.806116 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray2_2
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 38.331486 14.817224 62.738720 sawtooth 0 1 0.495407 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.495407 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.495407 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.495407 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray2_3
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 40.555294 6.642353 62.738720 sawtooth 0 1 0.519120 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.519120 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.519120 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.519120 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray2_4
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 39.946896 9.648746 62.738720 sawtooth 0 1 0.796472 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.796472 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.796472 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.796472 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray2_5
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 40.775421 5.120331 62.738720 sawtooth 0 1 0.286752 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.286752 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.286752 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.286752 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray2_6
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 40.580051 6.489369 62.738720 sawtooth 0 1 0.513657 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.513657 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.513657 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.513657 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray2_7
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 40.067848 9.133458 62.738720 sawtooth 0 1 0.441389 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.441389 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.441389 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.441389 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray2_8
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 41.082798 1.027952 62.738720 sawtooth 0 1 0.960479 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.960479 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.960479 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.960479 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray2_9
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 25.546902 32.190193 62.738720 sawtooth 0 1 0.067171 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.067171 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.067171 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.067171 2.000000
blendfunc blend
}
}

textures/ut_oilrig/oilspray2_10
{
qer_editorimage textures/ut_oilrig/oil_spray.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 34.412025 22.464750 62.738720 sawtooth 0 1 0.757836 2.000000
{
clampmap textures/ut_oilrig/oil_spray.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.757836 2.000000
rgbGen wave sawtooth 1.000000 0.000000 0.757836 2.000000
tcMod stretch sawtooth 1.000000 0.000000 0.757836 2.000000
blendfunc blend
}
}

// END : Oil Spray Particle Effects
